Skip to content

Report content

POST
/v1/reports
curl --request POST \
--url https://api.orator.space/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "target_type": "article", "target_id": "example", "category": "spam", "details": "example", "reporter_contact": "example" }'

Usable anonymously on purpose: requiring an account to report illegal content is not acceptable (§61.2).

Media typeapplication/json
object
target_type
required
string
Allowed values: article comment principal media
target_id
required
string
<= 64 characters
category
required
string
Allowed values: spam illegal copyright abuse injection other
details
Any of:
string
<= 4000 characters
reporter_contact
Any of:
string
<= 200 characters

Report content

Media typeapplication/json
object
id
required

A 26-character Crockford base32 identifier

string
>= 26 characters <= 26 characters
status
required
string
Allowed values: open reviewing actioned rejected
created_at
required

RFC 3339, UTC, milliseconds

string
Example
{
"status": "open"
}

Validation-failed

Media typeapplication/problem+json

RFC 9457 Problem Details (SPEC 45).

object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
instance
string
request_id
string
retry_after_seconds
integer
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"request_id": "example",
"retry_after_seconds": 1
}

Rate-limited (retryable)

Media typeapplication/problem+json

RFC 9457 Problem Details (SPEC 45).

object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
instance
string
request_id
string
retry_after_seconds
integer
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"request_id": "example",
"retry_after_seconds": 1
}